PDA

Visualizza la versione completa : k3b e k3b-codecs


mauretto
14-02-2008, 16:54
Salve a tutti.
Ho una OpenSuse 10.3.
da qualche giorno che ho effettuato un aggiornamento (non so di cosa e sinceramente non so neanche il perch l'ho fatto...) e ogni volta che apro k3b per masterizzare mi compare il messaggio che nel caso volessi masterizzare file MP3 non ho a disposizione i plugin per convertirli in modo automatico.
Qua e l per la rete e per il forum ho trovato l'indicazione di installare i k3b-codecs, ma quando provo a installarli tramite yast, mi va in conflitto con una decine di altre applicazioni che per se le cerco sono correttamente installate.
Non so proprio che fare e come uscirne...

Mi aiutate? grazie

andy caps
14-02-2008, 21:01
aggiungi i server di packman con yast

poi installando i codec mp3 mplayer e il resto k3b trova tutto il necessario

http://en.opensuse.org/Add_Package_Repositories_to_YaST per la guida

per gli indirizzi dei server

http://en.opensuse.org/Additional_YaST_Package_Repositories#Third-party_repositories

mauretto
15-02-2008, 15:11
Veramente la cosa strana proprio che questo repository gi presente... :bh: :bh:

andy caps
15-02-2008, 15:22
installa w32codec-all-20071007-0.pm.1.i586.rpm

contiene quasi tutti i codec

questo k3b-codecs-1.0.4-2.1.pm.0.i586.rpm che da problemi di dipendenza ??

mauretto
15-02-2008, 16:09
w32codec-all gi installato...

Esatto, il pacchetto che mi d problemi proprio quello che hai indicato...k3b-codecs 1.0.4-2.1

andy caps
15-02-2008, 19:46
prova ad aggirare il problema

spesso i problemi di questi pacchetti container come k3b-codecs dipendono dal fatto che contengono codec gia installati da altre applicazioni e installando il meta pacchetto comulativo dovresti rimuovere i singoli codec installati

guarda nelle opzioni di k3b nella sezione plug in vedi quelli mancanti e puoiprovare ad installarglieli singolarmente

mauretto
15-02-2008, 19:51
mmm...
in effetti potrebbe essere un ottimo tentativo di aggiramento del problema che verosimilmente come dici tu dovuto che alcuni codec sono gi stati installati da altri programmi.

In partenza k3b mi dice che manca il modulo/plugin/codec di "MAD", ma ho verificato che c'.
Allinterno di k3b sotto la sezione dei plugin in effetti non trovo un plugin per la decodifica dei file mp3 (che poi quello che mi interessa) ma non saprei come si chiama per installarlo singolarmente...

andy caps
15-02-2008, 20:05
quando cerca certi programmi devi installargli la versione devel del pacchetto o della libreria


prova ad installare lame ad esempio per mp3

soprattutto i-devel dei pacchetti

mauretto
15-02-2008, 20:33
niente da fare...
anche lame era gi installato e non ha dato risultati positivi neanche installando i devel di k3b-codec e mad-devel...

andy caps
15-02-2008, 20:42
prova a disinstallare k3b e reinstallarlo successivamente

:bh: altrimenti se proprio non riesci disinstalladoo installando librerie a risolvere le dipendenze l'unica provare a compilarlo manualmentre o aspettare aggiornamenti da parte degli sviluppatori packman

Loading